﻿using System;
using Luticate2.Auth.Dbo.Users;
using Luticate2.Auth.Interfaces.Users;
using Luticate2.Utils.Dbo.Result;
using Luticate2.Utils.Utils;

namespace Luticate2.Auth.Business
{
    public class LuUsersBusiness : ILuUsersBusiness
    {
        public LuResult<UsersToken> GetToken(string token)
        {
            var id = Guid.NewGuid().ToDbo();
            return LuResult<UsersToken>.Ok(new UsersToken
            {
                UserId = id
            });//TODO
        }

        public LuResult<string> RegisterToken(UsersToken token)
        {
            return LuResult<string>.Ok("token");//TODO
        }

        public LuResult<UsersToken> UnRegisterToken(string token)
        {
            return LuResult<UsersToken>.Ok(new UsersToken());//TODO
        }

        public LuResult<UsersDbo> GetSingleById(string id)
        {
            return LuResult<UsersDbo>.Ok(new UsersDbo
            {
                Id = id,
                Username = "user-" + id.Split('-')[0]
            });//TODO
        }
    }
}